org.springframework.batch.core.explore.support

## Class MapJobExplorerFactoryBean

- java.lang.Object
- - org.springframework.batch.core.explore.support.AbstractJobExplorerFactoryBean
  - - org.springframework.batch.core.explore.support.MapJobExplorerFactoryBean

- All Implemented Interfaces:
    org.springframework.beans.factory.FactoryBean<JobExplorer>, org.springframework.beans.factory.InitializingBean

  Deprecated.
  as of v4.3 in favor of using the `JobExplorerFactoryBean` with an in-memory database. Scheduled for removal in v5.0.

      @Deprecated
      public class MapJobExplorerFactoryBean
      extends AbstractJobExplorerFactoryBean
      implements org.springframework.beans.factory.InitializingBean

  A `FactoryBean` that automates the creation of a `SimpleJobExplorer` using in-memory DAO implementations.
  Since:
    2.0
  Author:
    Dave Syer, Mahmoud Ben Hassine

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.beans.factory.FactoryBean

      `OBJECT_TYPE_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapJobExplorerFactoryBean()` Deprecated. Create a factory with no `MapJobRepositoryFactoryBean`.
    `MapJobExplorerFactoryBean(MapJobRepositoryFactoryBean repositoryFactory)` Deprecated. Create an instance with the provided `MapJobRepositoryFactoryBean` as a source of Dao instances.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterPropertiesSet()` Deprecated.
    `protected ExecutionContextDao` | `createExecutionContextDao()` Deprecated.
    `protected JobExecutionDao` | `createJobExecutionDao()` Deprecated.
    `protected JobInstanceDao` | `createJobInstanceDao()` Deprecated.
    `protected StepExecutionDao` | `createStepExecutionDao()` Deprecated.
    `JobExplorer` | `getObject()` Deprecated.
    `void` | `setRepositoryFactory(MapJobRepositoryFactoryBean repositoryFactory)` Deprecated. The repository factory that can be used to create daos for the explorer.

    - ### Methods inherited from class org.springframework.batch.core.explore.support.AbstractJobExplorerFactoryBean

      `getObjectType, isSingleton`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapJobExplorerFactoryBean

          public MapJobExplorerFactoryBean(MapJobRepositoryFactoryBean repositoryFactory)

      Deprecated.
      Create an instance with the provided `MapJobRepositoryFactoryBean` as a source of Dao instances.
      Parameters:
        `repositoryFactory` - provides the used `JobRepository`

    - #### MapJobExplorerFactoryBean

          public MapJobExplorerFactoryBean()

      Deprecated.
      Create a factory with no `MapJobRepositoryFactoryBean`. It must be injected as a property.

  - ### Method Detail

    - #### setRepositoryFactory

          public void setRepositoryFactory(MapJobRepositoryFactoryBean repositoryFactory)

      Deprecated.
      The repository factory that can be used to create daos for the explorer.
      Parameters:
        `repositoryFactory` - a `MapJobExplorerFactoryBean`

    - #### afterPropertiesSet

          public void afterPropertiesSet()
                                  throws java.lang.Exception

      Deprecated.
      Specified by:
        `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
      Throws:
        `java.lang.Exception` - thrown if error occurs.
      See Also:
        `InitializingBean.afterPropertiesSet()`

    - #### createJobExecutionDao

          protected JobExecutionDao createJobExecutionDao()
                                                   throws java.lang.Exception

      Deprecated.
      Specified by:
        `createJobExecutionDao` in class `AbstractJobExplorerFactoryBean`
      Returns:
        fully configured `JobExecutionDao` implementation.
      Throws:
        `java.lang.Exception` - thrown if error occurs during JobExecutionDao creation.

    - #### createJobInstanceDao

          protected JobInstanceDao createJobInstanceDao()
                                                 throws java.lang.Exception

      Deprecated.
      Specified by:
        `createJobInstanceDao` in class `AbstractJobExplorerFactoryBean`
      Returns:
        fully configured `JobInstanceDao` implementation.
      Throws:
        `java.lang.Exception` - thrown if error occurs during JobInstanceDao creation.

    - #### createStepExecutionDao

          protected StepExecutionDao createStepExecutionDao()
                                                     throws java.lang.Exception

      Deprecated.
      Specified by:
        `createStepExecutionDao` in class `AbstractJobExplorerFactoryBean`
      Returns:
        fully configured `StepExecutionDao` implementation.
      Throws:
        `java.lang.Exception` - thrown if error occurs during StepExecutionDao creation.

    - #### createExecutionContextDao

          protected ExecutionContextDao createExecutionContextDao()
                                                           throws java.lang.Exception

      Deprecated.
      Specified by:
        `createExecutionContextDao` in class `AbstractJobExplorerFactoryBean`
      Returns:
        fully configured `ExecutionContextDao` implementation.
      Throws:
        `java.lang.Exception` - thrown if error occurs during ExecutionContextDao creation.

    - #### getObject

          public JobExplorer getObject()
                                throws java.lang.Exception

      Deprecated.
      Specified by:
        `getObject` in interface `org.springframework.beans.factory.FactoryBean<JobExplorer>`
      Throws:
        `java.lang.Exception`